## 1.2.0-beta4
- 🎉 New:
  * Introduced null safety support for the SDK.

- ⚠️ Breaking Changes:
  * Because of the null safety support, please check compilation issues and warnings from `flutter analyze` command
  * Updated minimum Dart SDK to v2.12.0-0 and Flutter to v2.0.1

## 1.1.0
- 🎉 New:
  - Batch Barcode Scanner - a new RTU UI screen component to scan multiple barcodes in a row. See the new API function startBatchBarcodeScanner.
  - Added a new config property autoCancelTimeout for the Barcode Scanner UI. It provides the possibility to set a timeout value in seconds for auto-closing/cancellation of the Barcode Scanner UI.
New result field BarcodeItem.rawBytes that contains the raw bytes from the scanned barcode
- ⚠️ Breaking Changes:
  - Replaced `finderAspectRatio` parameter with `finderWidth` and `finderHeight` in `BarcodeScannerConfiguration`
- 🚙 Under the hood:
  - Updated the native Android Scanbot Barcode Scanner SDK to 1.3.2
  - Updated the native iOS Scanbot Barcode Scanner SDK to 1.8.4


## 1.0.1
- Improved `pubspec.yaml`, adjusted supported platforms.


## 1.0.0
- 🎉 First release


## 0.9.0-rc.4
- RC4


## 0.9.0-rc.3
- RC3


## 0.9.0-rc.2
- RC2


## 0.9.0-rc.1
- RC1
