//
//  Scanbot Barcode Scanner SDK Flutter Plugin
//
//  Copyright (c) 2020 doo GmbH. All rights reserved.
//  https://scanbot.io/sdk
//

import Foundation
import ScanbotBarcodeScannerSDK

extension SBSDKUIMachineCodeScannerConfiguration {
    convenience init(from dictionary: [String: Any]) {
        let uiConf = SBSDKUIMachineCodeScannerUIConfiguration(from: dictionary)
        let textConf = SBSDKUIMachineCodeScannerTextConfiguration(from: dictionary)
        let behaviourConf = SBSDKUIMachineCodeScannerBehaviorConfiguration(from: dictionary)
        self.init(uiConfiguration: uiConf, textConfiguration: textConf, behaviorConfiguration: behaviourConf)
    }
}
